GNU bug report logs - #22167
Invalid token errors with resizepart

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: parted; Reported by: Julius Schwartzenberg <julius.schwartzenberg@HIDDEN>; Keywords: patch; merged with #24215; dated Mon, 14 Dec 2015 16:37:02 UTC; Maintainer for parted is bug-parted@HIDDEN.
Merged 22167 24215. Request was from Phil Susi <psusi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) patch. Request was from Sunil Mohan Adapa <sunil@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22167 <at> debbugs.gnu.org:


Received: (at 22167) by debbugs.gnu.org; 3 Apr 2017 15:40:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 03 11:40:27 2017
Received: from localhost ([127.0.0.1]:59304 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cv45j-00052j-I0
	for submit <at> debbugs.gnu.org; Mon, 03 Apr 2017 11:40:27 -0400
Received: from mout.perfora.net ([74.208.4.194]:52887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sunil@HIDDEN>)
 id 1cv45i-00052S-9t; Mon, 03 Apr 2017 11:40:26 -0400
Received: from [10.42.0.147] ([183.83.24.41]) by mrelay.perfora.net
 (mreueus003 [74.208.5.2]) with ESMTPSA (Nemesis) id 0MFsK8-1crCCb06o2-00Eyqt; 
 Mon, 03 Apr 2017 17:40:19 +0200
Subject: Re: Don't interactively ask questions in script mode
To: 22167 <at> debbugs.gnu.org, control <at> debbugs.gnu.org
References: <856e21e3-7577-1c47-8054-e0d3f2656896@HIDDEN>
From: Sunil Mohan Adapa <sunil@HIDDEN>
Openpgp: id=BCBEBD57A11F70B23782BC5736C361440C9BC971; url=keys.gnupg.net
Message-ID: <2f9a51cb-2411-9c19-49b5-88c1645a6e9b@HIDDEN>
Date: Mon, 3 Apr 2017 21:09:51 +0530
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
In-Reply-To: <856e21e3-7577-1c47-8054-e0d3f2656896@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature";
 boundary="NveSl7T3eFa5NiJDjPjxnqCrVtpWR5ABD"
X-Provags-ID: V03:K0:Z/h977w+w5XNfrQpnZYYB3E9qSqUfEDBEZDi8OZBxFqxe72FHnx
 Jh9GLxLFQhib2xe+bNd7Q3rab7FYGez4mS6IpZ7H1ott/dtTP83h0MgfbmtBKBL0yNJXmsr
 dW58QurNw1qd6oTvhTrYHB2KaJJp2/uYpTcPOEIr8ToC0LnaaTa6Gu3BraY7B2GOI9Yq/2C
 DyQeOIhzFpThUfEqmgEdA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:JHpa7FEyUnI=:RU5omPOdIT53FxBhegXxmb
 uj3gAobpJAgwtfEOH3F+ztMyKLLuKGd35sEIWARheUtmtlsnl9D3WCg+20txWxDMdPfOJCqwZ
 xjsvc4nL5RQlQAqYH4G3PG5vA7yHfar5i1r662TZ3Flz8nhT65i6XAKI25kRn31PxBbRZybxf
 sZp92rQt3CbfsHPc0a/XzEn/TDGtlDn+9uBluHYgnK7OWS8XgYrae5kg0jOlMtX8uc25YLkxm
 Mdf0pbpcX2VcXuyuRH/nWMXBbl4RB3rMxe7BwaInhcWOnzrtbnHYI+igSqEi/aaiL1GYYRsgU
 4UWlds0NnzKBHjlFjOPEgv8SKEwbZitg3iC2vHztxvFrAwUHTj2tlmAiOXpEwLtc/LmPQhAII
 wEYYTvw28mzDrTwf03dSH3ocEXv6vKYLe/RsXaNNIKIacM3xn8Ml1cSULHyJVRz7ubFh2xur8
 00DYz9tTeORrbP1RIzpbMBGH2rRUG2POpkFQUSEJA77ttl+9ibIcq3VZyDYQ3Je5k/lI83LBm
 AWeoeilsLMOVFKkB1KNcYwu/CGFbp7oovBGEi44uIoup4BaxD+SOEtbp9xC+hzLcYLc1iPbH5
 467ou/65F1H65u1QwAHgkXdzarQR8RlV/ykJYe3HxwC37BDsCDlh/BKzGQ4dFy1hTKs3rwJch
 WfY9/cFa1LqMdkWUw48KGIfgmGC4KMwqZ1TuMM5hUAjY0zZwgareV+j2fcf3LcquuxCg=
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 22167
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--NveSl7T3eFa5NiJDjPjxnqCrVtpWR5ABD
Content-Type: multipart/mixed; boundary="fLNi56c2Vrs8TbpAtVDKvlftb0CKl8Txq";
 protected-headers="v1"
From: Sunil Mohan Adapa <sunil@HIDDEN>
To: 22167 <at> debbugs.gnu.org, control <at> debbugs.gnu.org
Message-ID: <2f9a51cb-2411-9c19-49b5-88c1645a6e9b@HIDDEN>
Subject: Re: Don't interactively ask questions in script mode
References: <856e21e3-7577-1c47-8054-e0d3f2656896@HIDDEN>
In-Reply-To: <856e21e3-7577-1c47-8054-e0d3f2656896@HIDDEN>

--fLNi56c2Vrs8TbpAtVDKvlftb0CKl8Txq
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

tags 22167 - patch
thanks

Sorry, my patches don't solve this problem which seems unrelated.  They
are only applicable for scripted mode.

On 04/03/2017 03:30 PM, Sunil Mohan Adapa wrote:
>=20
> Hello,
>=20
> The attached patches should fix these issues where interactive prompts
> are shown when one tries to perform 'rm' or 'resizepart' operations wit=
h
> mounted partitions.  This avoid workarounds[1].
>=20
> The proposal is to not ask for confirmation during 'rm' and 'resizepart=
'
> operations when run in script mode.  The answer is assumed to be 'yes'
> in both cases.
>=20
> Links:
>=20
> 1) https://bugs.launchpad.net/ubuntu/+source/parted/+bug/1270203
>=20



--fLNi56c2Vrs8TbpAtVDKvlftb0CKl8Txq--

--NveSl7T3eFa5NiJDjPjxnqCrVtpWR5ABD
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE5xPDY9ZyWnWupXSBQ+oc/wqnxfIFAljibNwACgkQQ+oc/wqn
xfKZ4Q//fk1H29XwwE3YESvcOKyKMYnXysgpA0Oj6mV3CEM4R9UeZSKDFyQmnM7V
0GCurxyAkZO4DXVJTanLMAha2QxgfDGlUxkBi5C2E41YjLJKNkdcllvVxMSkK0Tw
O3f+epwzTDmxMpJ8GR8E5Y4mQ+Tv5Q5BTubd8UIcTVZAzAxOJfFB+6tift89xL8o
KzA/pkF4ft17PlSKc1AAZcRHjwYZbrw6+8B0liAJD8PI/Ph75x9LD+VjiFAh0Nbb
S+L1jLo0qIu6e8tC4sPFdsSVyKFbQrYZ846wUQNFJfDlT0C1Txm6XAeYob7t4/Pn
MAKaG6YQFJFfKXQAnN2TV7mwsTV0e2jcY7xxResJgD4PaM5lM13h/w2uwZv+IDVl
vYYzg2lS/fkM7poY7epGItgCBpGEtO1fwZ67jKlsO/oVXYD0vuliYmNDwNWlhIXu
huy9m1vGYqXdq2bogtiKBGi5DZURUloRRW5ELz4FJ0YfjlDRnrgPCBGIvzFljqUj
aQh1KXbRuEHdt/h2QcSbFIY65WGYQdDj0u0KntiVo1+H5cpxdL67wiPeu2207gP/
OxAbN/JQFgOMmxklFLFhC5nKCy0lbLsQCFkCooZGcOpsySwP+4YiOqbboRX278IE
VzHHYrL48wjKf/7X3eAtv61Oar0/7GWpMLmHT9b1Aazba7Lb3p0=
=gY6d
-----END PGP SIGNATURE-----

--NveSl7T3eFa5NiJDjPjxnqCrVtpWR5ABD--




Information forwarded to bug-parted@HIDDEN:
bug#22167; Package parted. Full text available.
Added tag(s) patch. Request was from Sunil Mohan Adapa <sunil@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22167 <at> debbugs.gnu.org:


Received: (at 22167) by debbugs.gnu.org; 3 Apr 2017 15:28:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 03 11:28:18 2017
Received: from localhost ([127.0.0.1]:59286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cv3tx-0002yB-Tr
	for submit <at> debbugs.gnu.org; Mon, 03 Apr 2017 11:28:18 -0400
Received: from mout.perfora.net ([74.208.4.196]:60288)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sunil@HIDDEN>)
 id 1cuyn3-0001Eu-Cj; Mon, 03 Apr 2017 06:00:50 -0400
Received: from [10.136.22.155] ([121.244.62.198]) by mrelay.perfora.net
 (mreueus002 [74.208.5.2]) with ESMTPSA (Nemesis) id 0MYMPn-1cZLBJ0xMn-00V8xZ; 
 Mon, 03 Apr 2017 12:00:41 +0200
To: 24215 <at> debbugs.gnu.org, 22167 <at> debbugs.gnu.org, control <at> debbugs.gnu.org
From: Sunil Mohan Adapa <sunil@HIDDEN>
Subject: Don't interactively ask questions in script mode
Message-ID: <856e21e3-7577-1c47-8054-e0d3f2656896@HIDDEN>
Date: Mon, 3 Apr 2017 15:30:29 +0530
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="01woBlp4NhHNoJ0wJ1vd26PIhhGUsweGH"
X-Provags-ID: V03:K0:J0W/X3SvuYJAwnXfQNyrx39zdTa8oSA4BvWGiMmMyVYG48pP6OE
 1jKO5HgNC9hM71QKe3OAU9vIA46UTtb/4i2BMZnONKnQYWbQMXD+w6mEjml6EnGgeCHInPd
 r4aYoGGG7dV87ATB2moEQHw42r5LUoCKpIzFbxRQA8646VlI3Q+Q/rMCakwissF3jlqmGUs
 Dq5qgvhV05pqErGwIRb8g==
X-UI-Out-Filterresults: notjunk:1;V01:K0:8/QRHFekxzc=:VqowUU3nS9XEvVgHRPfQIJ
 rAD2QZh200HdS6TDVtJf/b0e86xVqUO7ICxjMB7wdKI7e5dY1U2LToe7XZzU4uemPHIJWjK86
 xJNhr8AJ4dM3FJHUHtVvzaJQOnb4/UeiwDEx4JXncKJ9cMSjsyQa/i+0MJ/DNXqc+CmRfqhkT
 p+deyjR5VUoOHt18OTgJciQ6f7MBpzxp+WzRdry9xogGsEZ+gmRj4Ciee0ls2Obqyhz9h0A/y
 2bzdcUYyTPS6rTFeuT4cpmNSu/tbYO51gheJkdgov8QI8q4b9cPDc2kfR3FehZG5HG70D5dJ2
 5j6O9GBhFCtIKIQqWw+kNtw4s1WdCpeIT00JDEAGrajSju2NYfeNlLKddLHYxVzXfuoeVgcgW
 nhWzLcbzvROU/EirVUZkGAfSAQ5AsSvr7hOSib3ygXlKmgOMeVmTeL4wb8XQrKPj/jqFNFVI0
 tgss7BoyreCo8Pf22bQQe5y5gu80tfr4p470FhZ6VNWNGvpjOTZDGMnHPPLPuIkHMVLhX7GGg
 YIJ/J+4BA+zniuMvIYx1pIVUMxslixJyVeRY7eZrAG4GwIEXtFmz7+AzQP1bSAUjVe1r6DxS4
 w14E2WL2L/13Xy9FhCjUC3ndvgKhCl/QMPTVc1PJLkbyaM4zfYY56sPUkMGzKbQzWNEW9qsre
 Q7kDkzw+nsMSq0wywbs2DU8U+M1hM6CzM77zjtAwWuEQ4SdwQFR2I7R6l00qzFQyhdPU=
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 22167
X-Mailman-Approved-At: Mon, 03 Apr 2017 11:28:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--01woBlp4NhHNoJ0wJ1vd26PIhhGUsweGH
Content-Type: multipart/mixed; boundary="dsit0hFK2awpdMUrhwGBHIa3PBFnLhRIG";
 protected-headers="v1"
From: Sunil Mohan Adapa <sunil@HIDDEN>
To: 24215 <at> debbugs.gnu.org, 22167 <at> debbugs.gnu.org, control <at> debbugs.gnu.org
Message-ID: <856e21e3-7577-1c47-8054-e0d3f2656896@HIDDEN>
Subject: Don't interactively ask questions in script mode

--dsit0hFK2awpdMUrhwGBHIa3PBFnLhRIG
Content-Type: multipart/mixed;
 boundary="------------2C5F1859BD551FFB00366B4D"

This is a multi-part message in MIME format.
--------------2C5F1859BD551FFB00366B4D
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

tags 24215 + patch
tags 22167 + patch

Hello,

The attached patches should fix these issues where interactive prompts
are shown when one tries to perform 'rm' or 'resizepart' operations with
mounted partitions.  This avoid workarounds[1].

The proposal is to not ask for confirmation during 'rm' and 'resizepart'
operations when run in script mode.  The answer is assumed to be 'yes'
in both cases.

Links:

1) https://bugs.launchpad.net/ubuntu/+source/parted/+bug/1270203

--=20
Sunil

--------------2C5F1859BD551FFB00366B4D
Content-Type: text/x-patch;
 name="0001-parted-Don-t-warn-partition-busy-in-script-mode.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename*0="0001-parted-Don-t-warn-partition-busy-in-script-mode.patch"

=46rom 73b874f1c21f89623f0fc13f5ea0484b4bd02639 Mon Sep 17 00:00:00 2001
From: Sunil Mohan Adapa <sunil@HIDDEN>
Date: Mon, 3 Apr 2017 14:31:43 +0530
Subject: [PATCH 1/6] parted: Don't warn partition busy in script mode

Script mode promises not to ask for input interactively.  However,
during 'rm' and 'resizepart' operations, then a partition is mounted,
parted asks for confirmation on the terminal.  Since upon confirmation
parted allows the actual operations to proceed allow scripts to do
this as well by assuming 'yes' in both the cases.

Fixes the following issues:
 - #22167
 - #24215
 - lpbug #1270203

Signed-off-by: Sunil Mohan Adapa <sunil@HIDDEN>
---
 parted/parted.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/parted/parted.c b/parted/parted.c
index 7e6c266..27e3615 100644
--- a/parted/parted.c
+++ b/parted/parted.c
@@ -1549,7 +1549,7 @@ do_resizepart (PedDevice** dev, PedDisk** diskp)
=20
         if (!command_line_get_partition (_("Partition number?"), disk, &=
part))
                 goto error;
-        if (!_partition_warn_busy (part))
+        if (!opt_script_mode && !_partition_warn_busy (part))
                 goto error;
=20
         start =3D part->geom.start;
@@ -1597,7 +1597,7 @@ do_rm (PedDevice** dev, PedDisk** diskp)
=20
         if (!command_line_get_partition (_("Partition number?"), *diskp,=
 &part))
                 goto error;
-        if (!_partition_warn_busy (part))
+        if (!opt_script_mode && !_partition_warn_busy (part))
                 goto error;
=20
         ped_disk_delete_partition (*diskp, part);
--=20
2.11.0


--------------2C5F1859BD551FFB00366B4D
Content-Type: text/x-patch;
 name="0002-tests-t1701-rescue-fs.sh-Wait-for-device-to-appear.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename*0="0002-tests-t1701-rescue-fs.sh-Wait-for-device-to-appear.patc";
 filename*1="h"

=46rom 416e2fd8b2c4fa11d1d9d3673857ac80e53bc573 Mon Sep 17 00:00:00 2001
From: Sunil Mohan Adapa <sunil@HIDDEN>
Date: Mon, 3 Apr 2017 14:57:09 +0530
Subject: [PATCH 2/6] tests: t1701-rescue-fs.sh: Wait for device to appear=


Wait for device to appear before trying to create a filesystem in a
freshly created partition.

Signed-off-by: Sunil Mohan Adapa <sunil@HIDDEN>
---
 tests/t1701-rescue-fs.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/tests/t1701-rescue-fs.sh b/tests/t1701-rescue-fs.sh
index 9b726cf..4e1c981 100644
--- a/tests/t1701-rescue-fs.sh
+++ b/tests/t1701-rescue-fs.sh
@@ -30,6 +30,7 @@ scsi_dev=3D$(cat dev-name)
     || { warn_ "$ME: no ext4 support"; Exit $fail; }
=20
 parted -s $scsi_dev mklabel msdos mkpart primary ext2 1m 100%
+wait_for_dev_to_appear_ ${scsi_dev}1 || fail_ ${scsi_dev}1 did not appea=
r
 mkfs.ext4 ${scsi_dev}1 || { warn_ $ME: mkfs.ext4 failed; fail=3D1; Exit =
$fail; }
=20
 # remove the partition
--=20
2.11.0


--------------2C5F1859BD551FFB00366B4D
Content-Type: text/x-patch;
 name="0003-tests-t1101-busy-partition.sh-Update-tests-for-scrip.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="0003-tests-t1101-busy-partition.sh-Update-tests-for-scrip.pa";
 filename*1="tch"
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--------------2C5F1859BD551FFB00366B4D
Content-Type: text/x-patch;
 name="0004-tests-t6002-Fix-expectation-of-rm-on-mounted-partiti.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename*0="0004-tests-t6002-Fix-expectation-of-rm-on-mounted-partiti.pa";
 filename*1="tch"

=46rom 286ea7b717eeaa49059dc2c8fd35e0157c2eec6a Mon Sep 17 00:00:00 2001
From: Sunil Mohan Adapa <sunil@HIDDEN>
Date: Mon, 3 Apr 2017 15:05:27 +0530
Subject: [PATCH 4/6] tests: t6002: Fix expectation of 'rm' on mounted
 partitions

Removing a mounted partition only fails in non-script mode.

Signed-off-by: Sunil Mohan Adapa <sunil@HIDDEN>
---
 tests/t6002-dm-busy.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/t6002-dm-busy.sh b/tests/t6002-dm-busy.sh
index 723dd30..5dfb9d4 100644
--- a/tests/t6002-dm-busy.sh
+++ b/tests/t6002-dm-busy.sh
@@ -75,7 +75,7 @@ mount "${dev}p2" "$mount_point" || fail=3D1
 parted -s "$dev" rm 1 > /dev/null 2>&1 || fail=3D1
=20
 # Removal of mounted partition must fail.
-parted -s "$dev" rm 2 > /dev/null 2>&1 && fail=3D1
+parted "$dev" rm 2 < /dev/null > /dev/null 2>&1 && fail=3D1
=20
 parted -m -s "$dev" u s print > out 2>&1 || fail=3D1
 sed "s,^$dev,DEV," out > k; mv k out
--=20
2.11.0


--------------2C5F1859BD551FFB00366B4D
Content-Type: text/x-patch;
 name="0005-tests-t9041-Fix-expectation-of-rm-on-mounted-partiti.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="0005-tests-t9041-Fix-expectation-of-rm-on-mounted-partiti.pa";
 filename*1="tch"

RnJvbSBlZGNjNjMxMjIwYzdjOGUyNDQ4MjBkMjY1MWY1MzdmZjFmODI5YzdhIE1vbiBTZXAg
MTcgMDA6MDA6MDAgMjAwMQpGcm9tOiBTdW5pbCBNb2hhbiBBZGFwYSA8c3VuaWxAbWVkaGFz
Lm9yZz4KRGF0ZTogTW9uLCAzIEFwciAyMDE3IDE1OjA4OjI3ICswNTMwClN1YmplY3Q6IFtQ
QVRDSCA1LzZdIHRlc3RzOiB0OTA0MTogRml4IGV4cGVjdGF0aW9uIG9mICdybScgb24gbW91
bnRlZAogcGFydGl0aW9ucwoKUmVtb3ZpbmcgYSBtb3VudGVkIHBhcnRpdGlvbiBvbmx5IGZh
aWxzIGluIG5vbi1zY3JpcHQgbW9kZS4KClNpZ25lZC1vZmYtYnk6IFN1bmlsIE1vaGFuIEFk
YXBhIDxzdW5pbEBtZWRoYXMub3JnPgotLS0KIHRlc3RzL3Q5MDQxLXVuZGV0ZWN0ZWQtaW4t
dXNlLTE2dGgtcGFydGl0aW9uLnNoIHwgNyArKysrLS0tCiAxIGZpbGUgY2hhbmdlZCwgNCBp
bnNlcnRpb25zKCspLCAzIGRlbGV0aW9ucygtKQoKZGlmZiAtLWdpdCBhL3Rlc3RzL3Q5MDQx
LXVuZGV0ZWN0ZWQtaW4tdXNlLTE2dGgtcGFydGl0aW9uLnNoIGIvdGVzdHMvdDkwNDEtdW5k
ZXRlY3RlZC1pbi11c2UtMTZ0aC1wYXJ0aXRpb24uc2gKaW5kZXggNjczZTUwOC4uOGJhM2Zl
MCAxMDA2NDQKLS0tIGEvdGVzdHMvdDkwNDEtdW5kZXRlY3RlZC1pbi11c2UtMTZ0aC1wYXJ0
aXRpb24uc2gKKysrIGIvdGVzdHMvdDkwNDEtdW5kZXRlY3RlZC1pbi11c2UtMTZ0aC1wYXJ0
aXRpb24uc2gKQEAgLTg1LDEwICs4NSwxMSBAQCBmb3IgcGFydF9kZXYgaW4gJHBhcnRpdGlv
bnM7IGRvCiAgIG1vdW50ICIkcGFydF9kZXYiICIkbW91bnRfcG9pbnQiIHx8IGZhaWw9MQog
CiAgICMgUmVtb3ZhbCBvZiBtb3VudGVkIHBhcnRpdGlvbiBtdXN0IGZhaWwuCi0gIHBhcnRl
ZCAtcyAkc2NzaV9kZXYgcm0gJG4gPiBvdXQgMj4mMSAmJiBmYWlsPTEKKyAgcGFydGVkICRz
Y3NpX2RldiBybSAkbiA8IC9kZXYvbnVsbCA+IG91dCAyPiYxICYmIGZhaWw9MQogCi0gIGVj
aG8gIldhcm5pbmc6IFBhcnRpdGlvbiAkcGFydF9kZXYgaXMgYmVpbmcgdXNlZC4iIFwKLSAg
ICAgICAgICAnQXJlIHlvdSBzdXJlIHlvdSB3YW50IHRvIGNvbnRpbnVlPycgXAorICBlY2hv
IC1uICJXYXJuaW5nOiBQYXJ0aXRpb24gJHBhcnRfZGV2IGlzIGJlaW5nIHVzZWQuIiBcCisg
ICAgICAgJ0FyZSB5b3Ugc3VyZSB5b3Ugd2FudCB0byBjb250aW51ZT8KKw0gICAgICAgICAg
ICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAgICAgIA0nIFwKICAgICA+IGV4cC1lcnJvciB8fCBmcmFtZXdvcmtfZmFpbHVyZV8K
IAogICAjIGV4cGVjdCBlcnJvcgotLSAKMi4xMS4wCgo=
--------------2C5F1859BD551FFB00366B4D
Content-Type: text/x-patch;
 name="0006-tests-t1102-Fix-expectation-of-rm-on-mounted-partiti.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="0006-tests-t1102-Fix-expectation-of-rm-on-mounted-partiti.pa";
 filename*1="tch"

RnJvbSBmYzI1YzFiN2UyYTgyMzIzNmIwYTcwNWExZTA1Y2U1MWExZjcyY2I4IE1vbiBTZXAg
MTcgMDA6MDA6MDAgMjAwMQpGcm9tOiBTdW5pbCBNb2hhbiBBZGFwYSA8c3VuaWxAbWVkaGFz
Lm9yZz4KRGF0ZTogTW9uLCAzIEFwciAyMDE3IDE1OjEwOjExICswNTMwClN1YmplY3Q6IFtQ
QVRDSCA2LzZdIHRlc3RzOiB0MTEwMjogRml4IGV4cGVjdGF0aW9uIG9mICdybScgb24gbW91
bnRlZAogcGFydGl0aW9ucwoKUmVtb3ZpbmcgYSBtb3VudGVkIHBhcnRpdGlvbiBvbmx5IGZh
aWxzIGluIG5vbi1zY3JpcHQgbW9kZS4KClNpZ25lZC1vZmYtYnk6IFN1bmlsIE1vaGFuIEFk
YXBhIDxzdW5pbEBtZWRoYXMub3JnPgotLS0KIHRlc3RzL3QxMTAyLWxvb3AtbGFiZWwuc2gg
fCA1ICsrKy0tCiAxIGZpbGUgY2hhbmdlZCwgMyBpbnNlcnRpb25zKCspLCAyIGRlbGV0aW9u
cygtKQoKZGlmZiAtLWdpdCBhL3Rlc3RzL3QxMTAyLWxvb3AtbGFiZWwuc2ggYi90ZXN0cy90
MTEwMi1sb29wLWxhYmVsLnNoCmluZGV4IDY4YjlhZjQuLmY5YjMzZWUgMTAwNjQ0Ci0tLSBh
L3Rlc3RzL3QxMTAyLWxvb3AtbGFiZWwuc2gKKysrIGIvdGVzdHMvdDExMDItbG9vcC1sYWJl
bC5zaApAQCAtNjUsOSArNjUsMTAgQEAgZWNobyAiRXJyb3I6IFBhcnRpdGlvbihzKSBvbiAk
ZGV2IGFyZSBiZWluZyB1c2VkLiIgPiBleHAKIGNvbXBhcmUgZXhwIG91dCB8fCBmYWlsPTEK
IAogIyBtYWtlIHN1cmUgcGFydGl0aW9uIGJ1c3kgY2hlY2sgd29ya3MgKCBta2xhYmVsIGNo
ZWNrcyB3aG9sZSBkaXNrICkKLXBhcnRlZCAtcyAiJGRldiIgcm0gMSA+IG91dCAyPiYxOyB0
ZXN0ICQ/ID0gMSB8fCBmYWlsPTEKK3BhcnRlZCAiJGRldiIgcm0gMSA8IC9kZXYvbnVsbCA+
IG91dCAyPiYxOyB0ZXN0ICQ/ID0gMSB8fCBmYWlsPTEKICMgY3JlYXRlIGV4cGVjdGVkIG91
dHB1dCBmaWxlCi1lY2hvICJXYXJuaW5nOiBQYXJ0aXRpb24gJHtkZXZ9IGlzIGJlaW5nIHVz
ZWQuIEFyZSB5b3Ugc3VyZSB5b3Ugd2FudCB0byBjb250aW51ZT8iID4gZXhwCitlY2hvIC1u
ICJXYXJuaW5nOiBQYXJ0aXRpb24gJHtkZXZ9IGlzIGJlaW5nIHVzZWQuIEFyZSB5b3Ugc3Vy
ZSB5b3Ugd2FudCB0byBjb250aW51ZT8KKw0gICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgIA0iID4gZXhw
CiBjb21wYXJlIGV4cCBvdXQgfHwgZmFpbD0xCiAKIHVtb3VudCAiJG1vdW50X3BvaW50Igot
LSAKMi4xMS4wCgo=
--------------2C5F1859BD551FFB00366B4D--

--dsit0hFK2awpdMUrhwGBHIa3PBFnLhRIG--

--01woBlp4NhHNoJ0wJ1vd26PIhhGUsweGH
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJFBAEBCAAvFiEE5xPDY9ZyWnWupXSBQ+oc/wqnxfIFAljiHUARHHN1bmlsQG1l
ZGhhcy5vcmcACgkQQ+oc/wqnxfLnPg//ccfg6UcqyaaLwns9JklOUv8Cd3p9AwVg
P1mL745+zxL6ED0hX4sk1WpeSxsf3i1iDZqnoRTxKbmj45EJ167whRvaOWI4Krm8
RPMI1oZzgipeOV162vmjjrzrXKXBHEN/BwVLsl2QOSWzP1YEzeIZg0ewPmFWQYak
slaC0sGrNRar68k6J2MHp8nYKTClAC829XKEcnvl8M163Bpamb3r0XdtirYjJ5El
aNJzLK4lz//v4bXN7js0fRIKkLSmhHFWc8/C656fgJBQV7jiwnvM5+J9ecjc4SB1
q+4EQzXL+CTccIPkzaTSOWRC5WS1s9YdL5DyW3JytqqUMAta8lwtsW0Dx1R7H1c7
F3FWpydKEpXi/lMqla3r6KcyxmELARU7KK/nFulWraYOw3bWmfkucr1737yh7o7y
krrmCe/R3N1pA902OmEMOn1CoZzTtjkHOmy9OEJPs+AqItDDUe9YKgrWQKVobBSI
J+XwGhIT7zwyRp1bhHt+X88n6lNijYySv2j7TjYNlLyVYYdD0uDKVwANRLsiOJr7
AvVCkJF5xY7nKY3SgiSD0Pj3A4Puewss/5FEv5wORmb65xJ8l1Lxd6/e7anVCd1r
tRaiIzHdhtW3zgaE3TdadqmR8jR949lDKZwEdJQiNTG+4/KJPef+09ayEWOJq64t
reRQa27/Mgc=
=afb/
-----END PGP SIGNATURE-----

--01woBlp4NhHNoJ0wJ1vd26PIhhGUsweGH--




Information forwarded to bug-parted@HIDDEN:
bug#22167; Package parted. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Dec 2015 21:48:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 14 16:48:21 2015
Received: from localhost ([127.0.0.1]:51954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a8ayj-0004vf-67
	for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 16:48:21 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59437)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <bcl@HIDDEN>) id 1a8ayh-0004vT-N5
 for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 16:48:20 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a8ayb-0001pd-Nw
 for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 16:48:14 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49567)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a8ayb-0001pY-Lu
 for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 16:48:13 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41188)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a8aya-0003oh-Oo
 for bug-parted@HIDDEN; Mon, 14 Dec 2015 16:48:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a8ayW-0001oa-Ng
 for bug-parted@HIDDEN; Mon, 14 Dec 2015 16:48:12 -0500
Received: from mx1.redhat.com ([209.132.183.28]:56805)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a8ayW-0001oO-IJ
 for bug-parted@HIDDEN; Mon, 14 Dec 2015 16:48:08 -0500
Received: from int-mx11.intmail.prod.int.phx2.redhat.com
 (int-mx11.intmail.prod.int.phx2.redhat.com [10.5.11.24])
 by mx1.redhat.com (Postfix) with ESMTPS id AC35FC0C7C98
 for <bug-parted@HIDDEN>; Mon, 14 Dec 2015 21:48:07 +0000 (UTC)
Received: from lister.brianlane.com (ovpn-113-67.phx2.redhat.com [10.3.113.67])
 by int-mx11.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP id
 tBELm5nJ031236
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO)
 for <bug-parted@HIDDEN>; Mon, 14 Dec 2015 16:48:07 -0500
Date: Mon, 14 Dec 2015 13:48:05 -0800
From: "Brian C. Lane" <bcl@HIDDEN>
To: bug-parted@HIDDEN
Subject: Re: bug#22167: Invalid token errors with resizepart
Message-ID: <20151214214805.GN2721@HIDDEN>
References: <566EE5A8.9070804@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <566EE5A8.9070804@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.24
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

On Mon, Dec 14, 2015 at 04:52:08PM +0100, Julius Schwartzenberg wrote:
> Hi,
> 
> I'm trying to create a single command to increase a single root partition to
> the maximum size. Doing it step by step, I managed to do it interactively
> with:
> >(parted) resizepart 1
> >Warning: Partition /dev/vda1 is being used. Are you sure you want to continue?
> >Yes/No? yes
> >End?  [4000MB]? -1s
> 
> When I do it all on a single line, I get an error that -1s is an invalid
> token however:
> >(parted) resizepart 1 -1s
> >Warning: Partition /dev/vda1 is being used. Are you sure you want to continue?
> >parted: invalid token: -1s
> 
> I tried other values as well, but it seems the end argument can't be parsed
> properly when it's specified with the initial call or I'm doing something
> wrong. Is there any way to get this to work?

You need to make sure the partition isn't mounted.

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)




Information forwarded to bug-parted@HIDDEN:
bug#22167; Package parted. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Dec 2015 16:36:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 14 11:36:15 2015
Received: from localhost ([127.0.0.1]:51752 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a8W6d-0002jD-16
	for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 11:36:14 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51293)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <Julius.Schwartzenberg@HIDDEN>) id 1a8VQC-0001fu-B0
 for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 10:52:20 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Julius.Schwartzenberg@HIDDEN>) id 1a8VQ6-0002wK-BR
 for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 10:52:15 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57381)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Julius.Schwartzenberg@HIDDEN>) id 1a8VQ6-0002wE-8g
 for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 10:52:14 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33051)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Julius.Schwartzenberg@HIDDEN>) id 1a8VQ5-00070D-7I
 for bug-parted@HIDDEN; Mon, 14 Dec 2015 10:52:14 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Julius.Schwartzenberg@HIDDEN>) id 1a8VQ2-0002vM-1b
 for bug-parted@HIDDEN; Mon, 14 Dec 2015 10:52:13 -0500
Received: from smtp.bit.nl ([213.136.12.226]:40337)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Julius.Schwartzenberg@HIDDEN>) id 1a8VQ1-0002vI-SU
 for bug-parted@HIDDEN; Mon, 14 Dec 2015 10:52:09 -0500
Received: from [95.142.98.10] (port=33013 helo=105MAIL01.soleranl.nl)
 by smtp1.smtp.dmz.bit.nl with esmtpsa (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.76) (envelope-from <Julius.Schwartzenberg@HIDDEN>)
 id 1a8VQ0-0000IW-Lt
 for bug-parted@HIDDEN; Mon, 14 Dec 2015 16:52:08 +0100
Received: from 105MAIL01.soleranl.nl (10.50.1.23) by 105MAIL01.soleranl.nl
 (10.50.1.23) with Microsoft SMTP Server (TLS) id 15.0.1044.25; Mon, 14 Dec
 2015 16:52:08 +0100
Received: from silverjulius.soleranl.nl (10.50.10.149) by
 105MAIL01.soleranl.nl (10.50.1.23) with Microsoft SMTP Server id 15.0.1044.25
 via Frontend Transport; Mon, 14 Dec 2015 16:52:08 +0100
To: <bug-parted@HIDDEN>
From: Julius Schwartzenberg <julius.schwartzenberg@HIDDEN>
Subject: Invalid token errors with resizepart
Message-ID: <566EE5A8.9070804@HIDDEN>
Date: Mon, 14 Dec 2015 16:52:08 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.3.0
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 14 Dec 2015 11:36:06 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi,

I'm trying to create a single command to increase a single root 
partition to the maximum size. Doing it step by step, I managed to do it 
interactively with:
> (parted) resizepart 1
> Warning: Partition /dev/vda1 is being used. Are you sure you want to continue?
> Yes/No? yes
> End?  [4000MB]? -1s

When I do it all on a single line, I get an error that -1s is an invalid 
token however:
> (parted) resizepart 1 -1s
> Warning: Partition /dev/vda1 is being used. Are you sure you want to continue?
> parted: invalid token: -1s

I tried other values as well, but it seems the end argument can't be 
parsed properly when it's specified with the initial call or I'm doing 
something wrong. Is there any way to get this to work?

I'm using GNU Parted 3.2 as shipped with Fedora 22.

Thanks in advance!

Best regards,
Julius




Acknowledgement sent to Julius Schwartzenberg <julius.schwartzenberg@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-parted@HIDDEN. Full text available.
Report forwarded to bug-parted@HIDDEN:
bug#22167; Package parted. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 19 Apr 2017 18:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.